AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpClientStream Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Friends | List of all members
Aws::Crt::Http::HttpClientStream Class Referencefinal

`#include <HttpConnection.h>`

Inheritance diagram for Aws::Crt::Http::HttpClientStream:

## Public Member Functions
| ~HttpClientStream ()
| HttpClientStream (const HttpClientStream &)=delete
| HttpClientStream (HttpClientStream &&)=delete
HttpClientStream & | operator= (const HttpClientStream &)=delete
HttpClientStream & | operator= (HttpClientStream &&)=delete
virtual int | GetResponseStatusCode () const noexcept override
bool | Activate () noexcept
Public Member Functions inherited from Aws::Crt::Http::HttpStream
virtual | ~HttpStream ()
| HttpStream (const HttpStream &)=delete
| HttpStream (HttpStream &&)=delete
HttpStream & | operator= (const HttpStream &)=delete
HttpStream & | operator= (HttpStream &&)=delete
HttpClientConnection & | GetConnection () const noexcept
void | UpdateWindow (std::size_t incrementSize) noexcept

## Friends
class | HttpClientConnection

## Additional Inherited Members
Protected Member Functions inherited from Aws::Crt::Http::HttpStream
| HttpStream (const std::shared_ptr< HttpClientConnection > &connection) noexcept
Protected Attributes inherited from Aws::Crt::Http::HttpStream
aws_http_stream * | m_stream
std::shared_ptr< HttpClientConnection > | m_connection

## Detailed Description

Subclass that represents an http client's view of an HttpStream.

## Constructor & Destructor Documentation

## ◆ ~HttpClientStream()

Aws::Crt::Http::HttpClientStream::~HttpClientStream | ( |  | ) |

## ◆ HttpClientStream() [1/2]

Aws::Crt::Http::HttpClientStream::HttpClientStream | ( | const HttpClientStream & |  | ) |
| delete

## ◆ HttpClientStream() [2/2]

Aws::Crt::Http::HttpClientStream::HttpClientStream | ( | HttpClientStream && |  | ) |
| delete

## Member Function Documentation

## ◆ Activate()

bool Aws::Crt::Http::HttpClientStream::Activate | ( |  | ) |
| noexcept

Activates the request's outgoing stream processing.

Returns true on success, false otherwise.

## ◆ GetResponseStatusCode()

int Aws::Crt::Http::HttpClientStream::GetResponseStatusCode | ( |  | ) | const
| overridevirtualnoexcept

If this stream was initiated as a request, assuming the headers of the response has been received, this value contains the Http Response Code. *

Implements Aws::Crt::Http::HttpStream.

## ◆ operator=() [1/2]

HttpClientStream & Aws::Crt::Http::HttpClientStream::operator= | ( | const HttpClientStream & |  | ) |
| delete

## ◆ operator=() [2/2]

HttpClientStream & Aws::Crt::Http::HttpClientStream::operator= | ( | HttpClientStream && |  | ) |
| delete

## Friends And Related Function Documentation

## ◆ HttpClientConnection

friend class HttpClientConnection
| friend

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpConnection.h
- crt/aws-crt-cpp/source/http/HttpConnection.cpp